NAN(3)

NAME
nan, nanf, nanl - return 'Not a Number'

SYNOPSIS
#include <math.h>

double nan(const char *tagp);

float nanf(const char *tagp);

long double nanl(const char *tagp);

Link with -lm.

DESCRIPTION
These functions return a representation (determined by tagp) of a quiet NaN. If the implementation does not support quiet NaNs, these functions return zero.

The call nan("char-sequence") is equivalent to strtod ("NAN(char-sequence)",NULL) and similarly calls to nanf and nanl are equivalent to analogous calls to strtof and strtold.

The argument tagp is used in an unspecified manner. On IEEE 754 systems, there are many representations of NaN, and tagp selects one. On other systems it may do nothing.

CONFORMING TO
C99. See also IEC 559 and the appendix with recommended functions in IEEE 754/IEEE 854.

SEE ALSO
isnan(3), strtod(3)